Ask Your Question
0

Puppet Agent is not getting installed on ubuntu 14.04

asked 2016-03-09 00:45:49 -0500

Girija gravatar image

Hi all,

i am trying to insatll Puppet on Ubuntu 14.04 and I used :

wget https://apt.puppetlabs.com/puppetlabs... to get the package. then did dpkg -i puppetlabs-release-pc1-jessie.deb. Now when I trying to install Pupper Agent as: I am getting error "Package puppet-agent has no installation cadidate"

root@puppet:/home/linaro# apt-get install puppet-agent Reading package lists... Done Building dependency tree
Reading state information... Done Package puppet-agent is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source

E: Package 'puppet-agent' has no installation candidate

could anyone please tell me what to do to get agent insatlled.

thanks --girija

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2016-03-09 10:25:38 -0500

jon6000 gravatar image

Hey,

The dpkg command will add the Puppetlabs PC1 source repo to your list of sources, so you'll need to follow it up with an 'apt-get update' to refresh your available packages.

By the way, you are using the 'jessie' source repo above, but the correct one for Ubuntu 14.04 is 'trusty'.

Cheers,

Jon

edit flag offensive delete link more

Comments

I did apt-get update after dpkg but again same result. I will try to do trusty and see what happens.

Girija gravatar imageGirija ( 2016-03-09 11:07:04 -0500 )edit

I tried with trusty too but no use its same thing apt-get update not able to fetch puppet-agent. Any more suggestions?

Girija gravatar imageGirija ( 2016-03-09 23:16:06 -0500 )edit
0

answered 2016-03-11 00:53:01 -0500

Girija gravatar image

Hi all,

I am getting erorr in sudo apt-get update after doing dpkg -i ....PC1 trusy

W: Duplicate sources.list entry http://apt.puppetlabs.com/ trusty/PC1 armhf Packages (/var/lib/apt/lists/apt.puppetlabs.comdiststrustyPC1binary-armhf_Packages) W: You may want to run apt-get update to correct these problems

What to do in this case?

thanks --girija

edit flag offensive delete link more

Comments

Find and remove the duplicate entry from `/etc/apt/sources.list` file or from `/etc/apt/sources.list.d` directory and run `apt-get update` again.

rjc gravatar imagerjc ( 2016-03-11 03:11:59 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-03-09 00:45:49 -0500

Seen: 339 times

Last updated: Mar 11 '16